<?xml version="1.0" encoding="utf-8" ?>
<objects xmlns="http://www.springframework.net">

  <object type="WebSite.Controllers.RoomTypeChannelsController, WebSite" parent="BaseController" singleton="false">
    <property name="RoomTypeChannelsManager" ref="Manager.RoomTypeChannels" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
  </object>

  <object type="WebSite.Controllers.HostWordsReportController, WebSite" parent="BaseController" singleton="false">
    <property name="HostWordsReportManager" ref="Manager.HostWordsReport" />
    <property name="HostManager" ref="Manager.Host" />
  </object>

  <object type="WebSite.Controllers.ManualVisitController, WebSite" parent="BaseController" singleton="false">
    <property name="ManualVisitManager" ref="Manager.ManualVisit" />
  </object>

  <object type="WebSite.Controllers.HostModalRecordController, WebSite" parent="BaseController" singleton="false">
    <property name="HostModalRecordManager" ref="Manager.HostModalRecord" />
  </object>

  <object type="WebSite.Controllers.MobileAppController, WebSite" parent="BaseController" singleton="false">
    <property name="AppMenuManager" ref="Manager.AppMenu" />
    <property name="AppHotelManager" ref="Manager.AppHotel" />
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
    <property name="RoomTypeModalManager" ref="Manager.RoomTypeModal" />
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene" />
    <property name="AppRoomManager" ref="Manager.AppRoom" />
  </object>

  <object type="WebSite.Controllers.RoomTypeAirController, WebSite" parent="BaseController" singleton="false">
  </object>

  <object type="WebSite.Controllers.SearchHostController, WebSite" parent="BaseController" singleton="false">
    <property name="SearchHostManager" ref="Manager.SearchHost" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
  </object>

  <object type="WebSite.Controllers.HostRoomCardController, WebSite" parent="BaseController" singleton="false">
    <property name="HostRoomCardManager" ref="Manager.HostRoomCard" />
    <property name="RoomCardManager" ref="Manager.RoomCard" />
    <property name="RoomCardTypeManager" ref="Manager.RoomCardType" />
    <property name="SysUserManager" ref="Manager.SysUser" />
  </object>

  <object type="WebSite.Controllers.RoomCardController, WebSite" parent="BaseController" singleton="false">
    <property name="RoomCardManager" ref="Manager.RoomCard" />
    <property name="RoomCardTypeManager" ref="Manager.RoomCardType" />
  </object>

  <!--阿宝添加的-->
  <object type="WebSite.Controllers.MachineRegisterLogController, WebSite" parent="BaseController" singleton="false">
  </object>

  <object type="WebSite.Controllers.SysHotelController, WebSite" parent="BaseController" singleton="false">
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
    <property name="AppMenuManager" ref="Manager.AppMenu" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="SysHotelGroupManager" ref="Manager.SysHotelGroup" />
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="SysProvinceManager" ref="Manager.SysProvince" />
    <property name="Air_ECO_SettingManager" ref="Manager.ECO_Setting" />
    <property name="RoomDetailManager" ref="Manager.ECO_RoomDetail" />
    <property name="LieECOManager" ref="Manager.LieECOManager" />
    <!--新添加的-->
    <property name="HostManager" ref="Manager.Host" />

  </object>

  <object type="WebSite.Controllers.FaultRecordsController, WebSite" parent="BaseController" singleton="false">
    <property name="FaultRecordsManager" ref="Manager.FaultRecords" />
  </object>

  <object type="WebSite.Controllers.FaultTypeController, WebSite" parent="BaseController" singleton="false">
    <property name="FaultTypeManager" ref="Manager.FaultType" />
  </object>

  <object type="WebSite.Controllers.AirConditionStatusController, WebSite" parent="BaseController" singleton="false">
    <property name="HostAirRecordManager" ref="Manager.HostAirRecord" />
    <property name="HostModalRecordManager" ref="Manager.HostModalRecord" />
  </object>

  <object type="WebSite.Controllers.CoulometricStatisticsController, WebSite" parent="BaseController" singleton="false">
    <property name="OverviewManager" ref="Manager.Overview" />
    <property name="EnergyConsumptionStatisticsManager" ref="Manager.EnergyConsumptionStatistics" />
  </object>

  <object type="WebSite.Controllers.AirConditionControlController, WebSite" parent="BaseController" singleton="false">
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="RoomStatusManager" ref="Manager.RoomStatus" />
    <property name="HostAirManager" ref="Manager.HostAir" />
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="RoomTypeAirManager" ref="Manager.RoomTypeAir" />
    <property name="HotelSeasonManager" ref="Manager.HotelSeason" />
    <property name="HotelAirControlManager" ref="Manager.HotelAirControl" />
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <!--阿宝添加的-->
    <property name="RoomNoBodyMananger" ref="Manager.RoomNoBodyKongTiaoHowTo" />
    <property name="ECO_SettingManager" ref="Manager.ECO_Setting" />
    <property name="LieECOManager" ref="Manager.LieECOManager" />
  </object>

  <object type="WebSite.Controllers.LightControlController, WebSite" parent="BaseController" singleton="false" >
    <property name="LightControlManager" ref="Manager.LightControl" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="HostModalManager" ref="Manager.HostModal" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="RoomStatusManager" ref="Manager.RoomStatus" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene" />
  </object>

  <object type="WebSite.Controllers.RoomTypeSceneController, WebSite" parent="BaseController" singleton="false" >
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene" />
    <property name="RoomTypeSceneModalManager" ref="Manager.RoomTypeSceneModal" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="RoomTypeModalManager" ref="Manager.RoomTypeModal" />
    <property name="HostSceneManager" ref="Manager.HostScene" />
    <property name="HostTimingControlManager" ref="Manager.HostTimingControl" />
  </object>

  <object type="WebSite.Controllers.RoomControlController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="RoomStatusManager" ref="Manager.RoomStatus" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="HostTimingControlManager" ref="Manager.HostTimingControl"/>
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene"/>
    <property name="SysUserManager" ref="Manager.SysUser"/>
    <property name="RoomCardTypeManager" ref="Manager.RoomCardType"/>
    <!--阿宝添加的测试代码-->
    <property name="TestManager" ref="Manager.Test"/>
  </object>

  <object type="WebSite.Controllers.SysSettingController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysSettingManager" ref="Manager.SysSetting" />
  </object>

  <object type="WebSite.Controllers.RoomServiceController, WebSite" parent="BaseController" singleton="false" >
    <property name="RoomServiceManager" ref="Manager.RoomService" />
    <property name="RoomServiceRecordManager" ref="Manager.RoomServiceRecord" />
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="HostModalManager" ref="Manager.HostModal" />
  </object>

  <object type="WebSite.Controllers.HostModalController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host" />
    <property name="HostModalManager" ref="Manager.HostModal" />
    <property name="RoomTypeModalManager" ref="Manager.RoomTypeModal" />
    <property name="RoomTypeChannelsManager" ref="Manager.RoomTypeChannels" />
  </object>

  <object type="WebSite.Controllers.HostAirController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostAirManager" ref="Manager.HostAir" />
    <property name="HostManager" ref="Manager.Host" />
  </object>

  <object type="WebSite.Controllers.RoomModalController, WebSite" parent="BaseController" singleton="false" >
    <property name="RoomModalManager" ref="Manager.RoomModal" />
  </object>

  <object type="WebSite.Controllers.RoomStatusController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host" />
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="RoomStatusManager" ref="Manager.RoomStatus" />
    <property name="RoomServiceManager" ref="Manager.RoomService" />
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
    <property name="HostModalManager" ref="Manager.HostModal" />
    <property name="HostFaultsManager" ref="Manager.HostFaults" />
    <!--阿宝添加的-->
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="LieECOManager" ref="Manager.LieECOManager" />
  </object>

  <object type="WebSite.Controllers.RoomTypeController, WebSite" parent="BaseController" singleton="false" >
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="RoomTypeModalManager" ref="Manager.RoomTypeModal" />
    <property name="RoomModalManager" ref="Manager.RoomModal" />
    <property name="ModalTypeManager" ref="Manager.ModalType" />
    <property name="RoomTypeAirManager" ref="Manager.RoomTypeAir" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="HostModalManager" ref="Manager.HostModal" />
    <property name="HostAirManager" ref="Manager.HostAir" />
    <property name="RoomTypeWXMenusManager" ref="Manager.RoomTypeWXMenus" />
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene" />
    <property name="HostFaultsManager" ref="Manager.HostFaults" />
    <property name="SysOauth2Manager" ref="Manager.SysOauth2" />
    <property name="RoomTypeProgramFilesManager" ref="Manager.RoomTypeProgramFiles" />
    <property name="SysHotelManager" ref="Manager.SysHotel" />
  </object>

  <object type="WebSite.Controllers.SysSystemLogsController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysSystemLogsManager" ref="Manager.SysSystemLogs" />
    <property name="SysAuthorityManager" ref="Manager.SysAuthority" />
  </object>

  <object type="WebSite.Controllers.AlarmSettingController, WebSite" parent="BaseController" singleton="false" >
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
  </object>

  <object type="WebSite.Controllers.OverviewController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host" />
    <property name="OverviewManager" ref="Manager.Overview" />
    <property name="HostFaultRecordsManager" ref="Manager.HostFaultRecords" />
  </object>

  <object type="WebSite.Controllers.ModelController, WebSite" parent="BaseController" singleton="false" >
    <property name="ModelManager" ref="Manager.Model" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="GroupManager" ref="Manager.Group" />
  </object>

  <object type="WebSite.Controllers.HostUpdateController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostUpdateManager" ref="Manager.HostUpdate" />
    <property name="HostUpdateStatusManager" ref="Manager.HostUpdateStatus" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="HostRCUManager" ref="Manager.HostRCU" />
  </object>

  <object type="WebSite.Controllers.HostController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host" />
    <property name="HostAirManager" ref="Manager.HostAir" />
    <property name="HostUpdateManager" ref="Manager.HostUpdate" />
    <property name="RoomStatusManager" ref="Manager.RoomStatus" />
    <property name="RoomTypeAirManager" ref="Manager.RoomTypeAir" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="PowerSupplyControlManager" ref="Manager.PowerSupplyControl" />
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="HostRCUManager" ref="Manager.HostRCU" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />

    <!--阿宝添加的-->
    <property name="TFTPManager" ref="Manager.TFTP_SettingManager" />
    <property name="HostModalManager" ref="Manager.HostModal" />
  </object>

  <object type="WebSite.Controllers.GroupController, WebSite" parent="BaseController" singleton="false" >
    <property name="GroupManager" ref="Manager.Group" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="SysUserManager" ref="Manager.SysUser"/>
  </object>

  <object type="WebSite.Controllers.SysAuthorityController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysAuthorityManager" ref="Manager.SysAuthority" />
  </object>

  <object type="WebSite.Controllers.SysRoleController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysRoleManager" ref="Manager.SysRole"/>
    <property name="SysUserManager" ref="Manager.SysUser"/>
    <property name="SysAuthorityManager" ref="Manager.SysAuthority" />
    <property name="SysHotelGroupManager" ref="Manager.SysHotelGroup"/>
    <property name="SysHotelManager" ref="Manager.SysHotel"/>
  </object>

  <object type="WebSite.Controllers.SysRoleGroupController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysRoleManager" ref="Manager.SysRole"/>
    <property name="SysUserManager" ref="Manager.SysUser"/>
    <property name="SysAuthorityManager" ref="Manager.SysAuthority" />
    <property name="SysHotelGroupManager" ref="Manager.SysHotelGroup"/>
    <property name="SysHotelManager" ref="Manager.SysHotel"/>
  </object>

  <object type="WebSite.Controllers.SysUserController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="SysRoleManager" ref="Manager.SysRole" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="SysHotelGroupManager" ref="Manager.SysHotelGroup" />
  </object>

  <object type="WebSite.Controllers.SysUserGroupController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="SysRoleManager" ref="Manager.SysRole" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="SysHotelGroupManager" ref="Manager.SysHotelGroup" />
  </object>

  <object type="WebSite.Controllers.HomeController, WebSite" parent="BaseController" singleton="false" >
    <property name="SysUserManager" ref="Manager.SysUser"/>
    <property name="SysAuthorityManager" ref="Manager.SysAuthority" />
    <property name="HostManager" ref="Manager.Host" />
    <property name="GroupManager" ref="Manager.Group" />
    <property name="SysActiveUserManager" ref="Manager.SysActiveUser" />
    <property name="SysSettingManager" ref="Manager.SysSetting" />
    <property name="SysRoleManager" ref="Manager.SysRole" />
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="SysHotelGroupManager" ref="Manager.SysHotelGroup" />
  </object>

  <object id="BaseController" type="WebSite.Controllers.BaseController, WebSite" singleton="false">
    <property name="SysSystemLogsManager" ref="Manager.SysSystemLogs" />
  </object>

  <object type="WebSite.Controllers.AppController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host"/>
    <property name="HostModalManager" ref="Manager.HostModal"/>
    <property name="HostAirManager" ref="Manager.HostAir"/>
    <property name="RoomServiceManager" ref="Manager.RoomService"/>
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene"/>
    <property name="LightControlManager" ref="Manager.LightControl"/>
    <property name="AppRoomManager" ref="Manager.AppRoom"/>
    <property name="AppHotelManager" ref="Manager.AppHotel"/>
    <property name="AppMenuManager" ref="Manager.AppMenu"/>
    <property name="TvControlManager" ref="Manager.TvControl"/>
    <property name="RoomTypeModalManager"  ref="Manager.RoomTypeModal"/>
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
    <property name="CurtainControlManager" ref="Manager.CurtainControl"/>
  </object>
  <object type="WebSite.Controllers.WeiXinController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host"/>
    <property name="HostModalManager" ref="Manager.HostModal"/>
    <property name="HostAirManager" ref="Manager.HostAir"/>
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene"/>
    <property name="LightControlManager" ref="Manager.LightControl"/>
    <property name="TvControlManager" ref="Manager.TvControl"/>
    <property name="RoomTypeModalManager"  ref="Manager.RoomTypeModal"/>
    <property name="RoomServiceManager" ref="Manager.RoomService"/>
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
    <property name="CurtainControlManager" ref="Manager.CurtainControl"/>
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="UnlockControlManager" ref="Manager.UnlockControl" />
    <property name="MusicControlManager" ref="Manager.MusicControl"/>
    <property name="AppMenuManager" ref="Manager.AppMenu" />
    <property name="RoomTypeWXMenusManager" ref="Manager.RoomTypeWXMenus" />
  </object>
  <object type="WebSite.Controllers.WXController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host"/>
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="RoomTypeWXMenusManager" ref="Manager.RoomTypeWXMenus" />
    <property name="HostModalManager" ref="Manager.HostModal"/>
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene"/>
    <property name="LightControlManager" ref="Manager.LightControl"/>
    <property name="HostSceneManager" ref="Manager.HostScene"/>
  </object>
  <object type="WebSite.Controllers.ApiController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host"/>
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="SysHotelGroupManager" ref="Manager.SysHotelGroup" />
    <property name="PowerSupplyControlManager" ref="Manager.PowerSupplyControl" />
    <property name="HostAirManager" ref="Manager.HostAir"/>
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene"/>
    <property name="LightControlManager" ref="Manager.LightControl"/>
    <property name="HostModalManager" ref="Manager.HostModal"/>
    <property name="RoomServiceManager" ref="Manager.RoomService"/>
    <property name="AlarmSettingManager" ref="Manager.AlarmSetting" />
    <property name="HostModalRecordManager" ref="Manager.HostModalRecord" />
    <property name="RoomTypeWXMenusManager" ref="Manager.RoomTypeWXMenus" />
    <property name="SysOauth2Manager" ref="Manager.SysOauth2" />
    <property name="RoomTypeManager" ref="Manager.RoomType" />
    <property name="SysProvinceManager" ref="Manager.SysProvince" />
    <property name="OverviewManager" ref="Manager.Overview" />
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="HostFaultsManager" ref="Manager.HostFaults" />
    <property name="RoomTypeModalManager" ref="Manager.RoomTypeModal" />
    <!--阿宝添加的-->
    <property name="HostUpdateStatusManager" ref="Manager.HostUpdateStatus" />
    <property name="GroupManager" ref="Manager.Group" />

    <property name="RoomTypeManager" ref="Manager.RoomType" />

    <property name="RoomModalManager" ref="Manager.RoomModal" />
    <property name="TFTPManager" ref="Manager.TFTP_SettingManager" />

    <!--RoomStatus-->
    <property name="RoomStatusManager" ref="Manager.RoomStatus" />
    <property name="DeviceControlReceiver" ref="RCUHost.DeviceControlReceiver" />
    <!--<property name="OverviewManager" ref="Manager.Overview" />-->

  </object>
  <object type="WebSite.Controllers.Oauth2Controller, WebSite" parent="BaseController" singleton="false" >
    <property name="SysUserManager" ref="Manager.SysUser" />
    <property name="SysOauth2Manager" ref="Manager.SysOauth2" />
  </object>
  <object type="WebSite.Controllers.IoTController, WebSite" parent="BaseController" singleton="false" >
    <property name="HostManager" ref="Manager.Host"/>
    <property name="SysHotelManager" ref="Manager.SysHotel" />
    <property name="LightControlManager" ref="Manager.LightControl" />
    <property name="HostModalManager" ref="Manager.HostModal"/>
    <property name="RoomTypeSceneManager" ref="Manager.RoomTypeScene"/>
    <property name="RoomTypeWXMenusManager" ref="Manager.RoomTypeWXMenus" />
    <property name="RoomTypeChannelsManager" ref="Manager.RoomTypeChannels"/>
  </object>

  <!--新添加的一个-->
  <object type="WebSite.Controllers.TFTPController, WebSite" parent="BaseController" singleton="false">
  </object>

  <object type="WebSite.Controllers.SwaiotController, WebSite" parent="BaseController" singleton="false">
  </object>
  <!--<object name="exampleJob" type="Spring.Scheduling.Quartz.JobDetailObject, Spring.Scheduling.Quartz">
    <property name="JobType" value="WebSite.Models.MMA, WebSite.Models" />
  </object>

  <object id="cronTrigger" type="Spring.Scheduling.Quartz.CronTriggerObject, Spring.Scheduling.Quartz">
    <property name="jobDetail" ref="exampleJob" />
    -->
  <!-- run every 20 second of minute -->
  <!--
    <property name="cronExpressionString" value="0/10 * * * * ?" />
  </object>

  <object type="Spring.Scheduling.Quartz.SchedulerFactoryObject, Spring.Scheduling.Quartz">
    <property name="triggers">
      <list>
        <ref object="cronTrigger" />
      </list>
    </property>
  </object>-->
</objects>
